.layout {
  @import "../src/assets/root";
}
.layout {
  color: black;

  height: 100vh;
  display: flex;
  flex-direction: column;
}

.header {
  flex-shrink: 0;
  padding: 10px 20px;
  border-bottom: 1px solid #efefef;
}

.body {
  flex-grow: 1;
  display: flex;
}

.side {
  flex-shrink: 0;
  width: 150px;
  border-right: 1px solid #efefef;
  display: flex;
  flex-direction: column;
  height: 100%;
}

.components {
  flex-grow: 1;
  overflow-y: auto;
}

.bgs {
  margin-top: auto;
  padding-top: 10px;
  display: grid;
  grid-gap: 10px;
  margin-bottom: 20px;
}

.bgButton {
  opacity: .6;
  cursor: pointer;
}

.bgButtonActive {
  opacity: 1;
}

.content {
  flex-grow: 1;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
}

.componentLink {
  padding: 10px 20px;
  cursor: pointer;
  width: 100%;
  display: block;
  text-align: left;
}

.activeComponentLink {
  background: #dedede;
}

.variantLink {
  padding: 10px 20px 10px 30px;
  cursor: pointer;
  width: 100%;
  display: block;
  text-align: left;
}

.activeVariantLink {
  background: #efefef;
}

.story {
  display: flex;
  flex-direction: column;

  flex-grow: 1;

  &Only {
    padding: 20px;

    &.story {

      overflow-y: auto;

      position: relative;

      &:before {
        content: '';
        position: absolute;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
      }

      &Transparent {
         &:before {
           background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAIElEQVQoU2NkYGAwZsAEZ9GFGIeIQix+wfQgyDODXSEAcUwGCrDSHgkAAAAASUVORK5CYII=);
           opacity: .3;
         }
       }

      &Design {
        &:before {
          background: linear-gradient(0deg, #54FEC6 28.62%, #123DB8 100%);
        }
      }

      &Black {
        &:before {
          background: #333;
        }
      }

      &White {
        &:before {
          background: #fff;
        }
      }

      &White {
        &:before {
          background: #737373;
        }
      }

      > * {
        z-index: 1;
        position: relative;
      }
    }
  }
}

.bar {
  flex-shrink: 0;
  border-top: 1px solid #efefef;
  display: flex;
  flex-direction: column;
}

.barTabs {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  border-top: 1px solid #efefef;
  border-bottom: 1px solid #fff;
  background: #efefef;
  padding: 0 1px;
}

.barTab {
  padding: 10px 20px;
  cursor: pointer;
  border-right: 1px solid #efefef;
}

.barTabActive {
  background: #ffffff;
}

.barPanes {
  flex-grow: 1;
  overflow-y: auto;
}

.barPane {
  padding: 30px 20px;
}

.knob {
  + .knob {
    margin-top: 15px;
  }
}

.knobTitle {
  font-weight: bold;

  &:after {
    content: ':';
  }
}

.knobBody {
  flex-grow: 1;
  margin-top: 10px;
}

@mixin knobField {
  border: 1px solid #d4d4d4;
  padding: 3px 5px;
  width: 100%;
}

.selectKnob {
  @include knobField
}

.inputKnob {
  @include knobField
}

.checkboxKnob {
  display: flex;
  align-items: center;
  cursor: pointer;
  font-weight: bold;
  position: relative;
  padding-left: 26px;
  user-select: none;

  input {
    position: absolute;
    opacity: 0;
    visibility: hidden;
  }

  &:before,
  &:after {
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
  }

  &:before {
    border: 1px solid #d4d4d4;
    height: 16px;
    width: 16px;
    transform: translateY(-50%);
  }

  &:after {
    left: 3px;
    width: 12px;
    height: 12px;
    top: 50%;
    transform: translateY(-50%);
  }
}

.checkboxKnobChecked {
  &:after {
    background: #b8b8b8;
  }
}

.variantsList {
  display: grid;
  grid-gap: 15px;

  padding: 20px;
}

.variantItem {
  cursor: pointer;
  &:hover {
    text-decoration: underline;
  }
}

.actionsList {
  display: grid;
  grid-gap: 15px;
}
